wmudmount(1)

NAME
wmudmount - A WindowMaker filesystem mounting dockapp using udisks

SYNOPSIS
wmdgumount [options]

DESCRIPTION
wmudmount is a filesystem mounter that uses udisks to handle notification of new volumes and mounting of the filesystems as a non-root user. It also includes a mode to display the mounted filesystems with the least free space percentage (similar to wmfsm).

OPTIONS

--help
    Display usage information.

-V, --version
    Display the version number and exit.

--no-default-config
    Prevent reading of the default configuration files.

--conf <filename>
    Specify a configuration file to use in addition to the default.

-v, --verbose
    Print more messages to the console. May be repeated.

-q, --quiet
    Print fewer messages to the console. May be repeated.

-n, --notify <level>
    Specify what level of notification to display (using the desktop notification service). Valid levels are: none - No messages
    error - Only provide failure messages, e.g. "Mount failed"
    warn - Only provide failure and warning messages
    info - Provide informational messages, e.g. "Device added" (default)

--exclude-system-volumes, --include-system-volumes
--fsm-exclude-system-volumes, --fsm-include-system-volumes
--pager-exclude-system-volumes, --pager-include-system-volumes
    Whether to include volumes in the paging list and/or the FSM display that require the administrator authorization for mounting (i.e. those reported as "system internal" by udisks and those listed in fstab without the "user" option).

--return-to-fsm-timeout <seconds>
    Specify the number of seconds the mouse pointer must be away from the dockapp before the display changes back to the FSM view. The default is 60, set negative to disable.

--allow-insecure-memory, --no-allow-insecure-memory
    Normally, the password dialog will insist that secure memory be allocated to hold the entered password; this can prevent the password from being written to swap in a low-memory situation. If your system does not allow users to allocate secure memory, you can use --allow-insecure-memory to allow the use of normal, insecure memory.

--allow-core-files, --no-allow-core-files
    The dumping of core files is disabled so entered passwords will not be written to disk if a coredump signal is received. Normally, the program will exit if this cannot be done; if necessary, --allow-core-files may be used to allow execution despite the risk.

--blink-full-filesystems, --no-blink-full-filesystems
    Normally, the "disk space used" bar for a read-write filesystem will blink when it is over 95% full. --no-blink-full-filesystems may be used to prevent this.

--non-wmaker
    Create windows differently, in a manner more friendly to non-Window Maker window managers. If you wind up with both a docked icon and an unmanaged window, try setting this.

CONFIGURATION
The configuration files may contain the following options:

verbose
quiet
non-wmaker
notify = <level>
exclude-system-volumes
include-system-volumes
fsm-exclude-system-volumes
fsm-include-system-volumes
pager-exclude-system-volumes
pager-include-system-volumes
return-to-fsm-timeout = <seconds>
allow-insecure-memory
no-allow-insecure-memory
allow-core-files
no-allow-core-files
blink-full-filesystems
no-blink-full-filesystems
    Same as the corresponding command line options.

warn = <level>
    Sets the verbosity level, error, warn (default), info, or debug.

command = <command-spec>
    Allows adding arbitrary commands to the right-click menu. A command-spec is of the form title;command. The command is NOT passed through the shell, but the search path is used. The following printf-style escapes may be used: %p - The udisks dbus path for the device
    %d - The /dev path for the device
    %m - The mountpoint of the filesystem
    %% - A literal "%" If any of the above are not available (e.g. the filesystem is not mounted), commands using them will be greyed-out in the right-click menu. For example, "command = Console; urxvt -cd %m" would create a menu item that will open a terminal window at the filesystem's mountpoint.

click-command = <command-spec>
    Same as command, plus this command will be executed when clicking a device in the display.

double-click-command = <command-spec>
    Same as command, plus this command will be executed when double-clicking a device in the display.

include-volume = <spec>
exclude-volume = <spec>
fsm-include-volume = <spec>
fsm-exclude-volume = <spec>
pager-include-volume = <spec>
pager-exclude-volume = <spec>
    Allows for specificly identifying volumes to include or exclude from the paging and/or the FSM display, overriding the general behavior chosen by --include-system-volumes or --exclude-system-volumes. The values for <spec> are similar to those for the first field in /etc/fstab: If it begins with "LABEL=", the remainder of the spec is matched against the volume's label. If it begins with "UUID=", the remainder of the spec is matched against the volume's UUID. Otherwise, the spec is matched against the volume's device and current mountpoint. If multiple include and exclude entries match a volume, the last one wins. Specifying include-volume is equivalent to specifying both fsm-include-volume and pager-include-volume (and similarly for the exclude variants).

DISPLAY
The dockapp consists of a display window, two "action" buttons on the left, and two "paging" buttons on the right. The paging buttons are used for paging through the available devices; the mouse scrollwheel may also be used while over the dockapp for the same purpose. The action buttons vary depending on which device is focused. Hovering the mouse over the display will show a tooltip with information on the current device, and over the action buttons will show a tooltip describing the button's action. Right-clicking the display gives a popup menu with additional options for the current device. Middle-clicking moves back to FSM mode. The "default" mode is the FSM display. In this mode, the filesystem usage information for all filesystems reported as mounted by udisks is periodically queried and the 6 with the highest percentage used are displayed, along with a bar indicating the percentage. If the percentage is over 95%, the bar turns red and (optionally) blinks. The action buttons are not used. If no click-command is set, clicking a filesystem line will go to that device's page, if any. The other mode is for displaying a device. In this mode, the top of the display window shows the device label or /dev node name, with an icon representing the device below. The right action button is used for removing the media as applicable, e.g. locking a crypto device, ejecting a CD, or detaching a USB stick for safe removal. When displaying a filesystem device, the mountpoint and usage percent bar (if mounted) are at the bottom of the display. The icon has a blue background if the filesystem is mounted, or a red background if an operation is currently in progress. The left action button is used to mount or unmount the filesystem. When displaying a locked crypto device, the type of the device (e.g. "LUKS device") is displayed at the bottom. The left action button is used to unlock the device; the passphrase will be loaded from the system keyring if possible, and you will be prompted if necessary. The right-click menu gives access to a few additional actions, including relabeling a filesystem and forgetting a saved crypto device password.

BUGS
None yet.

FILES

/etc/wmudmount.conf
    System configuration.

$HOME/.wmudmountrc
    User configuration.

SIGNALS

SIGUSR1
    Perform the same action as clicking the left action button.

SIGUSR2
    Perform the same action as clicking the right action button.

SIGRTMIN+0
    Perform the same action as clicking the left paging button. To find the expected signal number of SIGRTMIN+0, use the --verbose option.

SIGRTMIN+1
    Perform the same action as clicking the right paging button. To find the expected signal number of SIGRTMIN+1, use the --verbose option.

AUTHORS
wmudmount was written by Brad Jorsch <anomie@users.sourceforge.net>.

Email regarding wmudmount should be sent to anomie@users.sourceforge.net.